
#ifndef HD_ADC_H_
#define HD_ADC_H_

#include "main.h"
#include "adc.h"
#include "dma.h"
#include "tim.h"
#include "comm_types.h"
#include "stm32g431xx.h"

#define SYS_VOLT_IN_CHANNEL     ADC_CHANNEL_1
#define EXCHG_CURR_CHANNEL      ADC_CHANNEL_6
#define MOSFET_Temper_CHANNEL   ADC_CHANNEL_15

void HD_adc_Init(void);
int16_t get_adc1Value(uint32_t Channel);
int16_t get_adc2Value(uint32_t Channel);


#endif